* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Nunito Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-style: normal;  
}
#root{
  min-height: 100vh;
}

.header {
  width: 100%;
  position: fixed;
  display: flex;
  top: 0;
  height: 5rem;
  background-color: hsl(0, 0%, 98%);
  color: hsl(200, 15%, 8%);
  justify-content: space-between;
  align-items: center;
}

.container1 {
  width: 100vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 10rem;
  padding: 0px 15px;
  height: 5rem;
 
  
}
.container {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
}

h1 {
  display: flex;
  align-items: center;
}
.btn {
  border: none;
  width: 7rem;
  height: 3rem;
  cursor: pointer;
  border-radius: 10px;
  margin-right: 10rem;
  background-color: transparent;
}

.all_country {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  min-height: 97.9vh;
}
.image img {
  width: 20rem;
  height: 13rem;
}
.country_card {
  width: 23rem;
  cursor: pointer;
  /* border:2px solid red; */
  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: space-around;
  padding: 15px;
  box-shadow: 1px 1px 5px rgb(219, 211, 211);
}
.countrycard{
  display: flex;

}
.cardinfobtn{
  margin-top:5rem;
  width:5rem;
  box-shadow: 1px 1px 5px hsl(220, 9%, 87%);
  border: none;
}
.cardinfobtn a{
  color: hsl(200, 15%, 8%);

}
.filter {
  margin-top: 10rem;
  width: 87%;
  margin-left: 10rem;
  display: flex;
  height: 5rem;
  align-items: center;
  justify-content: space-between;
  /* border: 1px solid red; */
}
.select {
  width: 10rem;
  padding: 1rem;
  font-size: 15px;
  border: none;
  outline: none;
}
.allbottom {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  margin-top: 2rem;
  /* border:2px solid red */
}
.form {
  width: 30%;
  height: 4rem;
  box-shadow: 1px 1px 5px hsl(220, 2%, 75%);
  margin-right: 2rem;
}
.form form {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  border: none;

}
.form span {
  margin-left: 2rem;
}
.form input {
  color: hsl(0, 0%, 52%);
  width: 16rem;
  height: 2rem;
  margin-left: 1rem;
  padding: 30px;
  font-size: 15px;
  padding-left: 5px;
  outline: none;
  border: none;
  background: transparent;
}
.countryname {
  margin: 5px;
  color: hsl(200, 15%, 8%)
}

.search_country {
  height: 15rem;
  margin-top: -3rem;
  /* border: 1px solid black; */
}
.country_info h5 {
  margin: 3px;
}
.countryinfo{
  display: flex;
  border: 1px solid red;
  flex-direction: column;
}
.countrydetail{
  display: flex;
}
.filters {
  width: 10rem;
  padding: 1rem;
  font-size: 15px;
  display: flex;
  width: 70%;
  justify-content: space-between;
  align-items: center;
}

.ah5{
  text-decoration: none;
}
 .h5span{
  color: hsl(0, 0%, 52%);
 }

.select1 {
  width: 12rem;
  padding: 1rem;
  height: 4rem;
  font-size: 15px;
  border: none;
  outline: none;
  cursor: pointer;
  margin-right: 1rem;
  box-shadow: 1px 1px 5px hsl(220, 2%, 75%);
}
.select2{
  width: 12rem;
  padding: 1rem;
  background-color: white;
  height: 4rem;
  font-size: 15px;
  border: none;
  outline: none;
  cursor: pointer;
  margin-right: 1rem;
  box-shadow: 1px 1px 5px hsl(220, 2%, 75%);
}
.dark-theme {
  background-color:  hsl(209, 23%, 22%);
  color: #fff;
  box-shadow: 1px 1px 5px hsl(200, 15%, 8%)
}

.light-theme {
  background-color: #fff;
  color: #222;
  box-shadow: 1px 1px 5px hsl(220, 9%, 87%);

}
.dark-themea {
  background-color:  hsl(209, 23%, 22%);
  color: #fff;
}

.light-themea {
  background-color: #fff;
  color: #222;
}
/* ----------------------------------- Loader -----------------------------  */
.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #080808 transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
